Bug 729663 - No documentation about the /root/ssl-build for or "--force-own-ca" option.
No documentation about the /root/ssl-build for or "--force-own-ca" option.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite Proxy 5
Classification: Red Hat
Component: Docs Installation Guide (Show other bugs)
541
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Lana Brindley
Red Hat Satellite QA List
:
Depends On:
Blocks: sat54-docs
  Show dependency treegraph
 
Reported: 2011-08-10 09:47 EDT by Dimitar Yordanov
Modified: 2013-10-23 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-29 16:09:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dimitar Yordanov 2011-08-10 09:47:48 EDT
Description of problem:
No documentation about the /root/ssl-build  or "--force-own-ca" option.

Version-Release number of selected component (if applicable):
RHN-Proxy 5.4.1

How reproducible:
100%

Steps to Reproduce:
1. Proxy Guide  -> 4.2. RHN Proxy Server Installation Process
2. Section 2 : To perform an installation, type the following command: 
    configure-proxy.sh

  
After  executing "configure-proxy.sh" the following message is generated.

Error: ssl build directory /root/ssl-build does not exist. Please create this directory.

When the folder is created:

# configure-proxy.sh
RHN Parent [dyordano-09.lab.eng.brq.redhat.com]: 
CA Chain [/usr/share/rhn/RHN-ORG-TRUSTED-SSL-CERT]: 
Please do copy your CA key and public certificate from dyordano-09.lab.eng.brq.redhat.com to 
/root/ssl-build directory. You may want to execute this command:
 scp 'root@dyordano-09.lab.eng.brq.redhat.com:/root/ssl-build/{RHN-ORG-PRIVATE-SSL-KEY,RHN-ORG-TRUSTED-SSL-CERT,rhn-ca-openssl.cnf}' /root/ssl-build

To execute this command you will need root access to the RHEL server on which Satllite is running.
This is not documented. 

There is another option:
 configure-proxy.sh --force-own-ca
that is not documented as well.

Additional info:
Comment 1 Lana Brindley 2012-01-04 21:17:35 EST
<note>
	<title>Note</title>
	<para>
		In order to perform this step successfully, you will require root access to the Satellite server. Alternatively, add the <command>--force-own-ca</command> option to the command.
	</para>
</note>

Revision 2-5

LKB

Note You need to log in before you can comment on or make changes to this bug.